import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaCrawler, MetaSensorItemKey } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaSensorItemKeyService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllByMetaCrawlerID(metaCrawlerID: number): Observable<MetaSensorItemKey[]> {
    return this.rpcService.call('MetaSensorItemKeyService.readAllByMetaCrawlerID', metaCrawlerID);
  }
  public readAllMapByMetaCrawlerID(metaCrawlerID: number): Observable<Map<number, MetaSensorItemKey>> {
    return this.rpcService.call('MetaSensorItemKeyService.readAllMapByMetaCrawlerID', metaCrawlerID);
  }
}
